Bug 10910 - Kernel panic when install for aic7xxx
Summary: Kernel panic when install for aic7xxx
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-19 09:19 UTC by fondsej
Modified: 2017-03-02 09:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-22 18:46:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description fondsej 2000-04-19 09:19:32 UTC
- RH 6.2 (an iso image get from a mirror).
- HP LC Net Server P100 48Mb RAM Adaptec AIC-7770 SCSI.
Booting from CD ( the boot floppyes have the same problem) and choosing
"Local CD-ROM" -> "SCSI" -> the module for aic7xxx, get this:

 "Kernel panic aic7xxx:unrecoverable BRKADRINT in swapper task - not
syncing."

Previous RH install (6.1) OK.

Comment 1 mark.sibbald 2000-05-16 21:17:59 UTC
I have the same problem.  I am using an HP NetServer 5/133 w/96 megs of ram,
the embedded aic-7770 scsi controller, two 4.5 gig HD's, CD rom and NIC card.
The board has EISA and PCI slots.  I have also tried using the updated driver
for aic7xxx, (version 5.1.29) and the latest boot.img.  No matter how I
install, when it tries to load the aic7xxx driver, the same kernel panic error
listed above occurs and freezes the machine.  Is there a solution?

Comment 2 Doug Ledford 2000-05-22 18:46:59 UTC
This is fixed in the 5.1.29 aic7xxx driver.  It can be found, along with driver
update disks to enable installs, at http://people.redhat.com/dledford  There is
a bug in the 6.2 installer code though, and it will fail to put the updated
module on the hard disk at the end of the install and before the install code
makes the new initrd, so you will have to do that part by hand by switching to
VT2 (ALT-F2) and using the shell prompt there.  If you aren't sure how to do
this, then please file a new bug report against the install code related to how
it works with driver update disks.

Comment 3 openshift-github-bot 2017-03-02 09:30:49 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/8db0e2502f0ce9dba620fd01557ceaecee040f84
Merge pull request #12541 from soltysh/issue10910

Merged by openshift-bot


Note You need to log in before you can comment on or make changes to this bug.